#include<bits/stdc++.h>
using namespace std;
int br[32]= {0};
int n,k,ans=0;
int m[100000];
bool rdone[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n>>k;
    for(int i=0; i<n; i++)
    {
        cin>>m[i];
    }
    int l=0;
    int r=0,cur=0;
    while(r<n&&l<n)
    {
        if(rdone[r]==false)
        {
            int a=m[r],i=0;
            while(a>0)
            {
                br[i]+=a%2;
                i++;
                a=a/2;
            }
            for(int i=0; i<32; i++)
            {
                if(br[i]>0)
                {
                    cur=cur|(1<<i);
                }
            }
            rdone[r]=true;
        }
        if(cur>=k)
        {
            int i=0;
            ans+=n-r;
            int a=m[l];
            while(a>0)
            {
                br[i]-=a%2;
                i++;
                a=a/2;
            }
            cur=0;
            for(int i=0; i<32; i++)
            {
                if(br[i]>0)
                {
                    cur=cur|(1<<i);
                }
            }
            l++;
        }
        else
        {
            r++;
        }
    }
    cout<<ans;
    return 0;
}
